Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit_deallocation.cpp	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/src/Prediction_unit_deallocation.cpp	(revision 101)
@@ -76,7 +76,9 @@
         DELETE1_SIGNAL( in_EVENT_DEPTH  ,_param->_nb_context,_param->_size_depth      );
 
+        DELETE1_SIGNAL(out_DEPTH_VAL          ,_param->_nb_context,1);
         DELETE1_SIGNAL(out_DEPTH_CURRENT      ,_param->_nb_context,_param->_size_depth);
         DELETE1_SIGNAL(out_DEPTH_MIN          ,_param->_nb_context,_param->_size_depth);
-        DELETE1_SIGNAL(out_DEPTH_MAX          ,_param->_nb_context,_param->_size_depth+1);
+        DELETE1_SIGNAL(out_DEPTH_MAX          ,_param->_nb_context,_param->_size_depth);
+        DELETE1_SIGNAL(out_DEPTH_FULL         ,_param->_nb_context,1);
       }
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/SelfTest/src/test.cpp	(revision 101)
@@ -117,4 +117,5 @@
   ALLOC1_SC_SIGNAL(out_DEPTH_MIN                      ,"out_DEPTH_MIN                      ",Tdepth_t             ,_param->_nb_context);
   ALLOC1_SC_SIGNAL(out_DEPTH_MAX                      ,"out_DEPTH_MAX                      ",Tdepth_t             ,_param->_nb_context);
+  ALLOC1_SC_SIGNAL(out_DEPTH_FULL                     ,"out_DEPTH_FULL                     ",Tcontrol_t           ,_param->_nb_context);
   ALLOC1_SC_SIGNAL( in_SPR_SR_IEE                     ," in_SPR_SR_IEE                     ",Tcontrol_t           ,_param->_nb_context);
   ALLOC1_SC_SIGNAL( in_SPR_SR_EPH                     ," in_SPR_SR_EPH                     ",Tcontrol_t           ,_param->_nb_context);
@@ -206,6 +207,9 @@
   INSTANCE1_SC_SIGNAL(_Front_end, in_NB_INST_COMMIT_MEM             ,_param->_nb_context);
   if (_param->_have_port_depth)
+    {
   INSTANCE1_SC_SIGNAL(_Front_end,out_DEPTH_MIN                      ,_param->_nb_context);
   INSTANCE1_SC_SIGNAL(_Front_end,out_DEPTH_MAX                      ,_param->_nb_context);
+    }
+  INSTANCE1_SC_SIGNAL(_Front_end,out_DEPTH_FULL                     ,_param->_nb_context);
   INSTANCE1_SC_SIGNAL(_Front_end, in_SPR_SR_IEE                     ,_param->_nb_context);
   INSTANCE1_SC_SIGNAL(_Front_end, in_SPR_SR_EPH                     ,_param->_nb_context);
@@ -257,4 +261,5 @@
       TEST(Tdepth_t  ,out_DEPTH_MIN           [i]->read(),0); // no branch speculated
       TEST(Tdepth_t  ,out_DEPTH_MAX           [i]->read(),0); // no branch speculated
+      TEST(Tdepth_t  ,out_DEPTH_FULL          [i]->read(),0); // no branch speculated
     }
   for (uint32_t i=0; i<_param->_sum_inst_decod; ++i)
@@ -359,4 +364,5 @@
   DELETE1_SC_SIGNAL(out_DEPTH_MIN                      ,_param->_nb_context);
   DELETE1_SC_SIGNAL(out_DEPTH_MAX                      ,_param->_nb_context);
+  DELETE1_SC_SIGNAL(out_DEPTH_FULL                     ,_param->_nb_context);
   DELETE1_SC_SIGNAL( in_SPR_SR_IEE                     ,_param->_nb_context);
   DELETE1_SC_SIGNAL( in_SPR_SR_EPH                     ,_param->_nb_context);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/include/Front_end.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/include/Front_end.h	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/include/Front_end.h	(revision 101)
@@ -155,4 +155,5 @@
   public    : SC_OUT(Tdepth_t             ) ** out_DEPTH_MIN                        ;//[nb_context]
   public    : SC_OUT(Tdepth_t             ) ** out_DEPTH_MAX                        ;//[nb_context]
+  public    : SC_OUT(Tcontrol_t           ) ** out_DEPTH_FULL                       ;//[nb_context]
 
     // ~~~~~[ Interface : "spr" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~         
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_allocation.cpp	(revision 101)
@@ -180,6 +180,7 @@
       ALLOC1_INTERFACE("depth",OUT,EAST,_("Interface depth"),_param->_nb_context);
 
-      ALLOC1_SIGNAL_OUT (out_DEPTH_MIN                        ,"MIN"              ,Tdepth_t             ,_param->_size_depth  );
-      ALLOC1_SIGNAL_OUT (out_DEPTH_MAX                        ,"MAX"              ,Tdepth_t             ,_param->_size_depth+1);
+      ALLOC1_SIGNAL_OUT (out_DEPTH_MIN                        ,"MIN"              ,Tdepth_t             ,_param->_size_depth);
+      ALLOC1_SIGNAL_OUT (out_DEPTH_MAX                        ,"MAX"              ,Tdepth_t             ,_param->_size_depth);
+      ALLOC1_SIGNAL_OUT (out_DEPTH_FULL                       ,"FULL"             ,Tcontrol_t           ,1);
     }
 
@@ -611,4 +612,6 @@
 #endif
 
+          COMPONENT_MAP(_component,src ,"out_DEPTH_"+toString(i)+                "_VAL",
+                                   dest, "in_DEPTH_"+toString(i)+"_PREDICTION_UNIT_VAL");
           if (_param->_have_port_depth)
             {
@@ -617,7 +620,9 @@
           COMPONENT_MAP(_component,src ,"out_DEPTH_"+toString(i)+                "_MIN"    ,
                                    dest, "in_DEPTH_"+toString(i)+"_PREDICTION_UNIT_MIN"    );
-            }
           COMPONENT_MAP(_component,src ,"out_DEPTH_"+toString(i)+                "_MAX"    ,
                                    dest, "in_DEPTH_"+toString(i)+"_PREDICTION_UNIT_MAX"    );
+            }
+          COMPONENT_MAP(_component,src ,"out_DEPTH_"+toString(i)+                "_FULL"   ,
+                                   dest, "in_DEPTH_"+toString(i)+"_PREDICTION_UNIT_FULL"   );
         }
     }
@@ -787,8 +792,13 @@
 
           if (_param->_have_port_depth)
+            {
           COMPONENT_MAP(_component,src , "in_DEPTH_"+toString(j)+                           "_MIN",
                                    dest,"out_DEPTH_"+toString(i)+"_"+toString(j)+"_DECOD_UNIT_MIN");
           COMPONENT_MAP(_component,src , "in_DEPTH_"+toString(j)+                           "_MAX",
                                    dest,"out_DEPTH_"+toString(i)+"_"+toString(j)+"_DECOD_UNIT_MAX");
+            } 
+          COMPONENT_MAP(_component,src , "in_DEPTH_"+toString(j)+                           "_FULL",
+                                   dest,"out_DEPTH_"+toString(i)+"_"+toString(j)+"_DECOD_UNIT_FULL");
+         
         }
 
@@ -828,4 +838,6 @@
 #endif
 
+          COMPONENT_MAP(_component,src , "in_CONTEXT_"+toString(j)+                           "_DEPTH_VAL",
+                                   dest,"out_CONTEXT_"+toString(i)+"_"+toString(j)+"_DECOD_UNIT_DEPTH_VAL");
           if (_param->_have_port_depth)
           COMPONENT_MAP(_component,src , "in_CONTEXT_"+toString(j)+                           "_DEPTH",
@@ -1180,18 +1192,26 @@
 
           if (_param->_have_port_depth)
+            {
           PORT_MAP(_component,src ,"out_DEPTH_"+toString(i)+"_MIN",
                               dest,"out_DEPTH_"+toString(i)+"_MIN");
           PORT_MAP(_component,src ,"out_DEPTH_"+toString(i)+"_MAX",
                               dest,"out_DEPTH_"+toString(i)+"_MAX");
-        }
-      
+            }
+          PORT_MAP(_component,src ,"out_DEPTH_"+toString(i)+"_FULL",
+                              dest,"out_DEPTH_"+toString(i)+"_FULL");
+        }
+      
+      //   in_DEPTH_PREDICTION_UNIT_VAL                         - component_prediction_unit
       //   in_DEPTH_PREDICTION_UNIT_CURRENT                     - component_prediction_unit
       //   in_DEPTH_PREDICTION_UNIT_MIN                         - component_prediction_unit
       //   in_DEPTH_PREDICTION_UNIT_MAX                         - component_prediction_unit
+      //   in_DEPTH_PREDICTION_UNIT_FULL                        - component_prediction_unit
       //  out_DEPTH_DECOD_UNIT_MIN                              - component_decod_unit
       //  out_DEPTH_DECOD_UNIT_MAX                              - component_decod_unit
+      //  out_DEPTH_DECOD_UNIT_FULL                             - component_decod_unit
       //  out_DEPTH_CONTEXT_STATE_MIN                           - component_context_state
       
       // ~~~~~[ Interface : "context"" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+      //  out_CONTEXT_DECOD_UNIT_DEPTH_VAL                      - component_decod_unit
       //  out_CONTEXT_DECOD_UNIT_DEPTH                          - component_decod_unit
     }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_deallocation.cpp	(revision 100)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/src/Front_end_deallocation.cpp	(revision 101)
@@ -104,4 +104,5 @@
         DELETE1_SIGNAL(out_DEPTH_MIN                        ,_param->_nb_context,_param->_size_depth  );
         DELETE1_SIGNAL(out_DEPTH_MAX                        ,_param->_nb_context,_param->_size_depth+1);
+        DELETE1_SIGNAL(out_DEPTH_FULL                       ,_param->_nb_context,_param->_size_depth+1);
 
         DELETE1_SIGNAL( in_SPR_SR_IEE                       ,_param->_nb_context,1);
